%define pypi_name Pykka

Name:           python-pykka
Version:        1.2.1
Release:        %mkrel 3
Group:          Development/Python
Summary:        Pykka is a Python implementation of the actor model

License:        ASL 2.0
URL:            http://www.pykka.org/
Source0:        https://pypi.python.org/packages/source/P/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools


%description
Pykka is a Python implementation of the actor model.
The actor model introduces some
simple rules to control the sharing of state and cooperation between execution
units, which makes it easier to build concurrent applications.


%package -n     python3-pykka
Summary:        Pykka is a Python3 implementation of the actor model
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Obsoletes:      python3-Pykka < 1.2.1-2
Provides:       python3-Pykka = %{version}-%{release} 

%description -n python3-pykka
Pykka is a Python3 implementation of the actor model.
The actor model introduces some
simple rules to control the sharing of state and cooperation between execution
units, which makes it easier to build concurrent applications.


%prep
%setup -q -n %{pypi_name}-%{version}

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%install
pushd %{py3dir}
%py3_install
popd

%py2_install


%files
%doc
%{python2_sitelib}/pykka 
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%files -n python3-pykka
%doc 
%{python3_sitelib}/pykka 
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.2.1-3.mga6
+ Revision: 972298
- Mageia 6 Mass Rebuild

* Mon Nov 02 2015 philippem <philippem> 1.2.1-2.mga6
+ Revision: 897326
- rename python3-Pykka to python3-pykka

* Sun Nov 01 2015 philippem <philippem> 1.2.1-1.mga6
+ Revision: 897159
- update to 1.2.1

* Sat Oct 10 2015 tv <tv> 1.2.0-2.mga6
+ Revision: 888850
- rebuild for python 3.5

* Sun Nov 02 2014 philippem <philippem> 1.2.0-1.mga5
+ Revision: 795210
- imported package python-pykka

